Loading...
Searching...
No Matches
Halide::Runtime::Internal::Vulkan::VulkanContext Class Reference

`#include <vulkan_context.h>`

## Public Member Functions

HALIDE_ALWAYS_INLINE | VulkanContext (void *user_context)
HALIDE_ALWAYS_INLINE | ~VulkanContext ()
HALIDE_ALWAYS_INLINE const VkAllocationCallbacks * | allocation_callbacks ()

## Public Attributes

VulkanMemoryAllocator * | allocator = nullptr
VkInstance | instance = VK_NULL_HANDLE
VkDevice | device = VK_NULL_HANDLE
VkPhysicalDevice | physical_device = VK_NULL_HANDLE
VkQueue | queue = VK_NULL_HANDLE
uint32_t | queue_family_index = 0
VkDebugUtilsMessengerEXT | messenger = VK_NULL_HANDLE
halide_error_code_t | error = halide_error_code_success

## Detailed Description

Definition at line 38 of file vulkan_context.h.

## Constructor & Destructor Documentation

## VulkanContext()

HALIDE_ALWAYS_INLINE Halide::Runtime::Internal::Vulkan::VulkanContext::VulkanContext | ( | void * | user_context | ) |

inline explicit

Definition at line 51 of file vulkan_context.h.

References allocator, device, error, HALIDE_ALWAYS_INLINE, halide_debug_assert, halide_error_code_device_interface_no_device, halide_error_code_success, halide_error_no_device_interface(), halide_vulkan_acquire_context(), instance, messenger, physical_device, queue, and queue_family_index.

## ~VulkanContext()

HALIDE_ALWAYS_INLINE Halide::Runtime::Internal::Vulkan::VulkanContext::~VulkanContext | ( |  | ) |

inline

Definition at line 68 of file vulkan_context.h.

References device, HALIDE_ALWAYS_INLINE, halide_vulkan_release_context(), instance, messenger, and queue.

## Member Function Documentation

## allocation_callbacks()

HALIDE_ALWAYS_INLINE const VkAllocationCallbacks * Halide::Runtime::Internal::Vulkan::VulkanContext::allocation_callbacks | ( |  | ) |

inline

Definition at line 73 of file vulkan_context.h.

References HALIDE_ALWAYS_INLINE.

## Member Data Documentation

## allocator

VulkanMemoryAllocator* Halide::Runtime::Internal::Vulkan::VulkanContext::allocator = nullptr

Definition at line 42 of file vulkan_context.h.

Referenced by VulkanContext().

## instance

VkInstance Halide::Runtime::Internal::Vulkan::VulkanContext::instance = VK_NULL_HANDLE

Definition at line 43 of file vulkan_context.h.

Referenced by VulkanContext(), and ~VulkanContext().

## device

VkDevice Halide::Runtime::Internal::Vulkan::VulkanContext::device = VK_NULL_HANDLE

Definition at line 44 of file vulkan_context.h.

Referenced by VulkanContext(), and ~VulkanContext().

## physical_device

VkPhysicalDevice Halide::Runtime::Internal::Vulkan::VulkanContext::physical_device = VK_NULL_HANDLE

Definition at line 45 of file vulkan_context.h.

Referenced by VulkanContext().

## queue

VkQueue Halide::Runtime::Internal::Vulkan::VulkanContext::queue = VK_NULL_HANDLE

Definition at line 46 of file vulkan_context.h.

Referenced by VulkanContext(), and ~VulkanContext().

## queue_family_index

uint32_t Halide::Runtime::Internal::Vulkan::VulkanContext::queue_family_index = 0

Definition at line 47 of file vulkan_context.h.

Referenced by VulkanContext().

## messenger

VkDebugUtilsMessengerEXT Halide::Runtime::Internal::Vulkan::VulkanContext::messenger = VK_NULL_HANDLE

Definition at line 48 of file vulkan_context.h.

Referenced by VulkanContext(), and ~VulkanContext().

## error

halide_error_code_t Halide::Runtime::Internal::Vulkan::VulkanContext::error = halide_error_code_success

Definition at line 49 of file vulkan_context.h.

Referenced by VulkanContext().

The documentation for this class was generated from the following file:

- src/runtime/vulkan_context.h